package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 贷款_附件对象 dk_fj
 * 
 * @author boman
 * @date 2023-06-15
 */
public class DkFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 贷款申请ID */
    @Excel(name = "贷款申请ID")
    private Long dkId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fjName;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String path;

    /** 附件担保类别 1:担保人担保 2:房产担保 */
    @Excel(name = "附件担保类别 1:担保人担保 2:房产担保")
    private String status;

    /** 附件档次 1:10万元以下 2:10-20 3:20-50  */
    @Excel(name = "附件档次 1:10万元以下 2:10-20 3:20-50 ")
    private String grade;

    /** 附件类型 1: 身份证正面 2(身份证反面) 3配偶身份证正面 4配偶身份证反面 5:结婚证 6:户口本首页 7:户口本单页(本人) 8:户口本单页(配偶) 9:申请人征信报告(本人) 10:申请人征信报告(配偶) 11:担保人身份证正面 12:担保人身份证反面 13:担保人收入证明 14:推荐表 15: 创业担保贷款担保合同 16:营业执照 17:工资表 18:带动就业人员名单 19 房产抵押担保合同 20 房产土地证明 21:房产所属人身份证正面 22:房产所属人身份证反面 23:担保人2身份证正面 24:担保人2身份证反面 25:担保人2收入证明 */
    @Excel(name = "附件类型 1: 身份证正面 2(身份证反面) 3配偶身份证正面 4配偶身份证反面 5:结婚证 6:户口本首页 7:户口本单页(本人) 8:户口本单页(配偶) 9:申请人征信报告(本人) 10:申请人征信报告(配偶) 11:担保人身份证正面 12:担保人身份证反面 13:担保人收入证明 14:推荐表 15: 创业担保贷款担保合同 16:营业执照 17:工资表 18:带动就业人员名单 19 房产抵押担保合同 20 房产土地证明 21:房产所属人身份证正面 22:房产所属人身份证反面 23:担保人2身份证正面 24:担保人2身份证反面 25:担保人2收入证明")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDkId(Long dkId) 
    {
        this.dkId = dkId;
    }

    public Long getDkId() 
    {
        return dkId;
    }
    public void setFjName(String fjName) 
    {
        this.fjName = fjName;
    }

    public String getFjName() 
    {
        return fjName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setGrade(String grade) 
    {
        this.grade = grade;
    }

    public String getGrade() 
    {
        return grade;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dkId", getDkId())
            .append("fjName", getFjName())
            .append("path", getPath())
            .append("status", getStatus())
            .append("grade", getGrade())
            .append("type", getType())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
